SLikeNet 0.1.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | Public Attributes | List of all members
DataStructures::RangeList< range_type > Class Template Reference

`#include <slikenet/DS_RangeList.h>`

Inheritance diagram for DataStructures::RangeList< range_type >:

## Public Member Functions

| RangeList ()
| ~RangeList ()
void | Insert (range_type index)
void | Clear (void)
bool | IsWithinRange (range_type value) const
unsigned | Size (void) const
unsigned | RangeSum (void) const
SLNet::BitSize_t | Serialize (SLNet::BitStream *in, SLNet::BitSize_t maxBits, bool clearSerialized)
bool | Deserialize (SLNet::BitStream *out)

## Public Attributes

DataStructures::OrderedList < range_type, RangeNode < range_type >, RangeNodeComp < range_type > > | ranges

## Detailed Description

### template<class range_type>
class DataStructures::RangeList< range_type >

Definition at line 56 of file DS_RangeList.h.

## Constructor & Destructor Documentation

template<class range_type >

DataStructures::RangeList< range_type >::RangeList | ( |  | ) |

Definition at line 188 of file DS_RangeList.h.

template<class range_type >

DataStructures::RangeList< range_type >::~RangeList | ( |  | ) |

Definition at line 194 of file DS_RangeList.h.

## Member Function Documentation

template<class range_type >

void DataStructures::RangeList< range_type >::Clear | ( | void |  | ) |

Definition at line 265 of file DS_RangeList.h.

References _FILE_AND_LINE_.

template<class range_type >

bool DataStructures::RangeList< range_type >::Deserialize | ( | SLNet::BitStream * | out | ) |

Definition at line 127 of file DS_RangeList.h.

References _FILE_AND_LINE_, SLNet::BitStream::AlignReadToByteBoundary(), and SLNet::BitStream::Read().

Referenced by SLNet::ReliabilityLayer::HandleSocketReceiveFromConnectedPlayer().

template<class range_type>

void DataStructures::RangeList< range_type >::Insert | ( | range_type | index | ) |

Definition at line 200 of file DS_RangeList.h.

References _FILE_AND_LINE_, and RakAssert.

template<class range_type>

bool DataStructures::RangeList< range_type >::IsWithinRange | ( | range_type | value | ) | const

Definition at line 271 of file DS_RangeList.h.

template<class range_type >

unsigned DataStructures::RangeList< range_type >::RangeSum | ( | void |  | ) | const

Definition at line 286 of file DS_RangeList.h.

template<class range_type >

SLNet::BitSize_t DataStructures::RangeList< range_type >::Serialize | ( | SLNet::BitStream * | in,
|  | SLNet::BitSize_t | maxBits,
|  | bool | clearSerialized
| ) |  |

Definition at line 77 of file DS_RangeList.h.

References SLNet::BitStream::AlignWriteToByteBoundary(), SLNet::BitStream::GetNumberOfBitsUsed(), SLNet::BitStream::GetWriteOffset(), RakAssert, and SLNet::BitStream::Write().

template<class range_type >

unsigned DataStructures::RangeList< range_type >::Size | ( | void |  | ) | const

Definition at line 280 of file DS_RangeList.h.

## Member Data Documentation

template<class range_type>

DataStructures::OrderedList<range_type, RangeNode<range_type> , RangeNodeComp<range_type> > DataStructures::RangeList< range_type >::ranges

Definition at line 69 of file DS_RangeList.h.

Referenced by SLNet::ReliabilityLayer::HandleSocketReceiveFromConnectedPlayer().

The documentation for this class was generated from the following file:

- Source/include/slikenet/DS_RangeList.h